<launch>

  <arg name="robot_name" default="rx200"/>
  <arg name="parent_id" default=""/>
  <arg name="use_gazebo" default="false"/>
  <arg name="xacro_args" default="parent_id:=$(arg parent_id) load_gazebo_configs:=$(arg use_gazebo)"/>

  <arg name="urdf_file" default="$(find xacro)/xacro.py --inorder '$(find turtlebot2_rx200)/urdf/$(arg robot_name).urdf.xacro' $(arg xacro_args)" />
  <param name="robot_description" command="$(arg urdf_file)" />

  <group if="$(arg use_gazebo)">
    <node name="spawn_urdf" pkg="gazebo_ros" type="spawn_model" args="-param robot_description -urdf -model $(arg robot_name)" />
  </group>
  <group unless="$(arg use_gazebo)">
    <node pkg="robot_state_publisher" type="robot_state_publisher" name="robot_state_publisher">
      <param name="publish_frequency" type="double" value="10.0" />
    </node>
  </group>

</launch>
